EmploymentStatus:
  0: {id: 1, name: 'Full Time'}

TerminationReason:
  0: {id: 1, name: 'Resign'}

EmployeeTerminationRecord:
  0: {id: 1, reasonId: 1, date: '2011-11-20'}

# 1=Organization
#    2=Engineering
#       5=Support
#    3=QA
#    4=Agriculture
Subunit:
  1: {id: 1, name: 'Organization', unitId: 'company', description: 'Organization description', lft: 1, rgt: 10, level: 0}
  2: {id: 2, name: 'Engineering', unitId: 'eng', description: 'Engineering description', lft: 2, rgt: 5, level: 1}
  3: {id: 3, name: 'QA', unitId: 'qa', description: 'QA description', lft: 6, rgt: 7, level: 1}
  4: {id: 4, name: 'Agriculture', unitId: 'ag', description: 'Agriculture description', lft: 8, rgt: 9, level: 1}
  5: {id: 5, name: 'Support', unitId: 'sup', description: 'Support description', lft: 3, rgt: 4, level: 2}

Employee:
  0: {empNumber: 1, firstName: 'Kayla', lastName: 'Abbey', termination_id: 1, work_station: 1}
  1: {empNumber: 2, firstName: 'Ashley', lastName: 'Abel', middleName: 'Aldis', work_station: 2}
  2: {empNumber: 3, firstName: 'Tyler', lastName: 'Abraham', work_station: 4}
  3: {empNumber: 4, firstName: 'Landon', lastName: 'Abrahams', emp_status: 1, work_station: 4}
  4: {empNumber: 5, firstName: 'James', lastName: 'Abrahamson', middleName: 'K', work_station: 5}
  5: {empNumber: 6, firstName: 'Jane', lastName: 'Edward', work_station: 2}

Country:
  0: {cou_code: 'LK', name: 'SRI LANKA', cou_name: 'Sri Lanka', iso3: 'LKA', numcode:144}
  1: {cou_code: 'US', name: 'UNITED STATES', cou_name: 'United States', iso3: 'USA', numcode: 840}

Location:
  0: {id: 1, name: 'location 1', country_code: 'LK', province: 'province 1', city: 'city 1', address: 'address 1', zip_code: 'zip001', phone: '0777000001', fax: '0112000001', notes: 'note 1' }
  1: {id: 2, name: 'location 2', country_code: 'LK', province: 'province 2', city: 'city 2', address: 'address 2', zip_code: 'zip002', phone: '0777000002', fax: '0112000002', notes: 'note 2' }
  2: {id: 3, name: 'location 3', country_code: 'US', province: 'AK', city: 'city 3', address: 'address 3', zip_code: 'zip003', phone: '0777000003', fax: '0112000002', notes: 'note 3' }
  3: {id: 4, name: 'location 4', country_code: 'US', province: 'TX', city: 'city 3', address: 'address 4', zip_code: 'zip004', phone: '0777000004', fax: '0112000004', notes: 'note 4' }

EmpLocations:
  0: {emp_number: 1, location_id: 1 }
  1: {emp_number: 2, location_id: 2 }
  2: {emp_number: 3, location_id: 2 }
  3: {emp_number: 4, location_id: 2 }
  4: {emp_number: 5, location_id: 4 }
  5: {emp_number: 6, location_id: 3 }

LeaveType:
  0: {id: 1, name: 'Casual', deleted: 0}
  1: {id: 2, name: 'Medical', deleted: 0}
  2: {id: 3, name: 'Company', deleted: 1}
  3: {id: 4, name: 'Annual', deleted: 0}

LeaveRequest:
  0: {id: 1, leave_type_id: 1, date_applied: '2010-08-30', emp_number: 1, comments: 'my comment1'}
  1: {id: 2, leave_type_id: 1, date_applied: '2010-08-02', emp_number: 1, comments: 'my comment2'}
  2: {id: 3, leave_type_id: 2, date_applied: '2010-08-03', emp_number: 1, comments: 'my comment3'}
  3: {id: 4, leave_type_id: 1, date_applied: '2010-08-04', emp_number: 1, comments: 'my comment4'}
  4: {id: 5, leave_type_id: 2, date_applied: '2010-08-05', emp_number: 1, comments: 'my comment5'}
  5: {id: 6, leave_type_id: 2, date_applied: '2010-08-06', emp_number: 1, comments: 'my comment5'}
  6: {id: 7, leave_type_id: 1, date_applied: '2010-08-07', emp_number: 1, comments: 'my comment7'}
  7: {id: 8, leave_type_id: 1, date_applied: '2010-08-08', emp_number: 1, comments: 'my comment8'}
  8: {id: 9, leave_type_id: 3, date_applied: '2010-06-08', emp_number: 1, comments: 'my comment9'}
  9: {id: 10, leave_type_id: 1, date_applied: '2010-06-09', emp_number: 1, comments: 'my comment10'}
  10: {id: 11, leave_type_id: 2, date_applied: '2010-06-10', emp_number: 1, comments: 'my comment111'}
  11: {id: 12, leave_type_id: 2, date_applied: '2010-08-10', emp_number: 2, comments: 'my comment1'}
  12: {id: 13, leave_type_id: 1, date_applied: '2010-08-11', emp_number: 2, comments: 'my comment2'}
  13: {id: 14, leave_type_id: 1, date_applied: '2010-08-12', emp_number: 2, comments: 'my comment3'}
  14: {id: 15, leave_type_id: 2, date_applied: '2010-08-13', emp_number: 3, comments: 'my comment4'}
  15: {id: 16, leave_type_id: 1, date_applied: '2010-08-14', emp_number: 5, comments: 'my comment5'}
  16: {id: 17, leave_type_id: 2, date_applied: '2010-08-15', emp_number: 5, comments: 'my comment6'}
  17: {id: 18, leave_type_id: 2, date_applied: '2010-03-15', emp_number: 5, comments: 'my comment7'}
  18: {id: 19, leave_type_id: 1, date_applied: '2010-08-20', emp_number: 5, comments: 'my comment8'}
  19: {id: 20, leave_type_id: 4, date_applied: '2011-01-01', emp_number: 6, comments: 'my comment8'}
  20: {id: 21, leave_type_id: 4, date_applied: '2011-04-02', emp_number: 6, comments: 'my comment9'}

Leave:
  0: {id: 1, length_hours: 8, length_days: 1, leave_request_id: 1, leave_type_id: 1, emp_number: 1, date: '2010-09-01', status: 1}
  1: {id: 2, length_hours: 8, length_days: 1, leave_request_id: 1, leave_type_id: 1, emp_number: 1, date: '2010-09-02', status: 1}
  2: {id: 3, length_hours: 8, length_days: 1, leave_request_id: 2, leave_type_id: 1, emp_number: 1, date: '2010-09-06', status: '-1'}
  3: {id: 4, length_hours: 8, length_days: 1, leave_request_id: 2, leave_type_id: 1, emp_number: 1, date: '2010-09-07', status: '-1'}
  4: {id: 5, length_hours: 4, length_days: '0.5', leave_request_id: 3, leave_type_id: 2, emp_number: 1, date: '2010-09-09', status: '-1'}
  5: {id: 6, length_hours: 8, length_days: 1, leave_request_id: 4, leave_type_id: 1, emp_number: 1, date: '2010-09-13', status: 2}
  6: {id: 7, length_hours: 8, length_days: 1, leave_request_id: 5, leave_type_id: 2, emp_number: 1, date: '2010-09-15', status: 2}
  7: {id: 8, length_hours: 8, length_days: 1, leave_request_id: 5, leave_type_id: 2, emp_number: 1, date: '2010-09-16', status: 3}
  8: {id: 9, length_hours: 8, length_days: 1, leave_request_id: 5, leave_type_id: 2, emp_number: 1, date: '2010-09-17', status: 3}
  9: {id: 10, length_hours: 8, length_days: 1, leave_request_id: 6, leave_type_id: 2, emp_number: 1, date: '2010-09-21', status: 3}

LeaveEntitlementType:
  0: {id: 1, name: 'Added'}

LeaveEntitlement:
  0: {id: 1, leave_type_id: 1, emp_number: 1, no_of_days: 3, days_used: 2.25, from_date: '2012-01-01 00:00:00', to_date: '2012-08-01 00:00:00', credited_date: '2012-01-01 00:00:00', note: '', entitlement_type: 1, deleted: 0}
  1: {id: 2, leave_type_id: 2, emp_number: 2, no_of_days: 6, days_used: 3.5, from_date: '2013-08-05 00:00:00', to_date: '2013-09-01 00:00:00', credited_date: '2013-01-06 00:00:00', note: '', entitlement_type: 1, deleted: 0}
  2: {id: 3, leave_type_id: 3, emp_number: 1, no_of_days: 1, days_used: 0, from_date: '2012-04-04 00:00:00', to_date: '2012-06-01 00:00:00', credited_date: '2012-01-01 00:00:00', note: '', entitlement_type: 1, deleted: 0}
  3: {id: 4, leave_type_id: 4, emp_number: 1, no_of_days: 5, days_used: 3, from_date: '2012-05-05 00:00:00', to_date: '2012-08-01 00:00:00', credited_date: '2012-02-01 00:00:00', note: '', entitlement_type: 1, deleted: 0}

LeaveLeaveEntitlement:
  0: {id: 1, leave_id: 1, entitlement_id: 1, length_days: 0.5}
  1: {id: 2, leave_id: 1, entitlement_id: 2, length_days: 0.5}
  2: {id: 3, leave_id: 2, entitlement_id: 4, length_days: 1}
  3: {id: 4, leave_id: 3, entitlement_id: 4, length_days: 1}
  4: {id: 5, leave_id: 4, entitlement_id: 4, length_days: 1}
  5: {id: 6, leave_id: 5, entitlement_id: 1, length_days: 1}
  6: {id: 7, leave_id: 7, entitlement_id: 1, length_days: 0.75}
